eoSharingSelect(3)

NAME
eoSharingSelect - eoSharingSelect: select an individual by roulette wheel on its SHARED fitness.

SYNOPSIS

#include <eoSharingSelect.h>

Inherits eoRouletteWorthSelect< EOT, double >.

  Public Member Functions
eoSharingSelect (double _sigma, eoDistance< EOT > &_dist)
Ctor:.

  Private Attributes
eoSharing< EOT > sharing

Detailed Description

  template<class EOT> class eoSharingSelect< EOT >
eoSharingSelect: select an individual by roulette wheel on its SHARED fitness. It is an eoRouletteWorthSelect, i.e. a selector using a std::vector of worthes rather than the raw fitness (see eoSelectFromWorth.h) It uses an internal eoSharing object which is an eoPerf2Worth<EOT, double>

Definition at line 43 of file eoSharingSelect.h.

Constructor & Destructor Documentation

  template<class EOT> eoSharingSelect< EOT >::eoSharingSelect (double _sigma, eoDistance< EOT > & _dist) [inline]

Ctor:.

Parameters:
    _s the sigma_share

Definition at line 49 of file eoSharingSelect.h.

Author

Generated automatically by Doxygen for EO from the source code.